Bug 146067 - [PATCH] Channel bonding driver configured in 802.3 ad mode causes kernel panic when shutdwon
Summary: [PATCH] Channel bonding driver configured in 802.3 ad mode causes kernel pani...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 147461
TreeView+ depends on / blocked
 
Reported: 2005-01-25 03:23 UTC by Amit Bhutani
Modified: 2007-11-30 22:07 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-04-14 01:13:12 UTC


Attachments (Terms of Use)
Intel's patch (1.85 KB, patch)
2005-01-25 03:25 UTC, Amit Bhutani
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:420 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 1 2005-06-08 04:00:00 UTC

Description Amit Bhutani 2005-01-25 03:23:55 UTC
Description of problem:
The Ethernet Channnel Bonding driver (bonding v.2.6.0) present in 
kernel 2.6.9-5.EL has a bug in that it causes a kernel panic every 
time the bonded interface is brought down. This happens only when the 
bond is setup in mode 4 (IEEE 802.3ad mode a.k.a "dynamic link 
aggregation" mode).

Solution:
This bug was reported and fixed by Intel in bonding v.2.6.1. 
http://sourceforge.net/mailarchive/forum.php?
thread_id=5881381&forum_id=2094

Version-Release number of selected component (if applicable):
bonding v.2.6.0

How reproducible:
Easy

Steps to Reproduce:
1. Setup a bond (say bond0) with two slaves in mode 4
2. ifdown bond0
  
Actual results:
kernel panic with OOPS

Expected results:
No OOPS

Additional info:

Comment 1 Amit Bhutani 2005-01-25 03:25:43 UTC
Created attachment 110179 [details]
Intel's patch

Comment 2 Amit Bhutani 2005-01-27 02:04:30 UTC
FYI. This patch has made it upstream in the stable 2.6.10 kernel tree.
From 2.6.10 Changelog:
<akpm@osdl.org>
	[PATCH] Fix for 802.3ad shutdown issue
	
	The patch below fixes a problem with shutting down 802.3ad 
bonds on the 2.6
	kernel.  Taking the interface down or removing the module 
causes a stack
	dump if spinlock debugging is enabled.  This patch was 
generated from the
	2.6.9 kernel.
	
	This patch has been peer reviewed by our Linux software 
engineering team,
	and the fix has been verified by our test labs.
	
	Signed-off-by: Mitch Williams <mitch.a.williams@intel.com>
	Signed-off-by: Andrew Morton <akpm@osdl.org>
	Signed-off-by: Jeff Garzik <jgarzik@pobox.com>



Comment 4 Amit Bhutani 2005-04-14 01:13:12 UTC
Ritesh has regressed and confirms that this issue is fixed in U1 beta.

Comment 5 Tim Powers 2005-06-08 15:13:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-420.html



Note You need to log in before you can comment on or make changes to this bug.